petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoComputeDualVariables

Computes the dual vectors corresponding to the bounds of the variables

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeDualVariables(Tao tao, Vec DL, Vec DU)

Collective on Tao

### Input Parameters

tao -the Tao context

### Output Parameter

| DL | - dual variable vector for the lower bounds
| DU | - dual variable vector for the upper bounds

### Note

DL and DU should be created before calling this routine. If calling this routine after using an unconstrained solver, DL and DU are set to all zeros.

### See Also

TaoComputeObjective(), TaoSetVariableBounds()

### Level

advanced

### Location

src/tao/interface/taosolver_bounds.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages